Uploaded image for project: 'Artifactory Binary Repository'
  1. Artifactory Binary Repository
  2. RTFACT-19925

NPM remote repository in Artifactory should have an option to blacklist the specific version of a package

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Open
    • Priority: 3 - High
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: NPM
    • Labels:
      None
    • Requirement Status:

      UNCOVERED

      Description

      Recently npmjs had a bad version of a package. Due to this issue the users requesting this package would get served the bad version. In this case the bad version happened to be the latest version of the package. Here is the github issue showing this issue https://github.com/PeculiarVentures/ASN1.js/issues/48

      Can their be a feature in Artifactory NPM remote repo which will allow you to blacklist a specific version of a package from the metadata, so that users are not served the bad version of the package.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            nihalc@jfrog.com Nihal Reddy Chinna Choudhary
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated: